Home Wiki > openSUSE:YaST development porting
Sign up | Login

openSUSE:YaST development porting

tagline: From openSUSE

Porting YaST

This page offers information how to compile and run YaST on a non-SUSE system.

So far, there are two projects to port YaST:


You can get the current source code from our SVN repository and its branches.

Find information about building YaST and alternatives to do this.

Contact us via our YaST Mailing lists and see the respective archives for porting help.

Ubuntu

I was able to compile the following programs/modules:

ii  yast2                                  2.13.72-1                               YaST2 - Main Package
ii  yast2-control-center                   2.13.2-1                                YaST2 - Control Center
ii  yast2-core                             2.13.27-1                               YaST2 - Core Libraries
ii  yast2-country                          2.13.31-1                               YaST2 - Country Settings (Language, Keyboard
ii  yast2-devtools                         2.13.21-1                               YaST2 - Development Tools
ii  yast2-dns-server                       2.13.16-1                               YaST2 - DNS Server Configuration
ii  yast2-gtk                              0.1-1                                   YaST2 - Graphical GTK User Interface
ii  yast2-inetd                            2.13.4-1                                YaST2 - Network Services Configuration
ii  yast2-installation                     2.13.141-1                              YaST2 - Installation Parts
ii  yast2-ldap                             2.13.4-1                                YaST2 - LDAP Agent
ii  yast2-ldap-client                      2.13.20-1                               YaST2 - LDAP Client Configuration
ii  yast2-network                          2.13.59-1                               YaST2 - Network Configuration
ii  yast2-pam                              2.13.5-1                                YaST2 - PAM Agent
ii  yast2-perl-bindings                    2.13.8-1                                YaST2 - Perl Bindings
ii  yast2-pkg-bindings                     2.13.90-1                               YaST2 Package Manager Access
ii  yast2-qt                               2.13.61-1                               YaST2 - Graphical User Interface
ii  yast2-runlevel                         2.13.8-1                                YaST2 - Runlevel Editor
ii  yast2-security                         2.13.4-1                                YaST2 - Security Configuration
ii  yast2-slp                              2.13.1-1                                SLP Agent and Browser for  YaST
ii  yast2-sysconfig                        2.13.7-1                                YaST2 - Powertweak Configuration
ii  yast2-testsuite                        2.13.1-1                                YaST2 - Testsuite
ii  yast2-theme                            2.13.8-1                                YaST2 - Theme
ii  yast2-trans-de                         2.14.1-1                                YaST2 - German Translations
ii  yast2-tune                             2.13.7-1                                YaST2 - Hardware Tuning
ii  yast2-users                            2.13.22-1                               YaST2 - User and Group Configuration
ii  liby2util                              2.13.7-1                                YaST2--Utilities Library
ii  zypp                                   1.2.0-1                                 Package, Patch, Pattern, and Product Management
ii  ldapcpplib                             0.0.4-1                                 C++ API for LDAPv3


That does not mean that they run ;-)

Notes

  • Missing packages are not noted here, furthermore the solutions named here can be dirty and might not be the best ones.
  • zypp: symlink libxml -> libxml2/libxml in /usr/include required.
  • yast2-qt: --with-qt-dir=/usr/share/qt3 --with-qt-libdir=/usr/share/qt3/lib has to be added to the configure command
  • yast2-gtk: You have to have libcdparanoia0-dev. That was hard for me to find. Line 14 of ycc.sh should look like that: module=`/usr/bin/zenity --title "Yast Control Center" \
  • yast2-theme: create a symlink current to the theme, see *.spec
  • yast2-users: you have to install a lot of other yast modules. look at /var/log/YaST2
  • yast2-hardware-detection: install the recent version and libhd13 and libhd13-dev


Screenshots

Linux From Scratch

Notes

This section could be a 'hint' for the LFS project. What we want to do is to make all the YaST2 sources path agnostic, or better said, to erradicate all the absolute paths that are living around some files (pointing to /usr/share/YaST2 for example).

And of course all the necessary steps that have to be taken to get a working YaST2 living in your favourite $prefix.

Patches

Here, the necessary patches for the YaST2 modules will be published.

See also